<template>
    <div class="voting">
        <button @click="upvote" class="btn-icon voting-button up"><img src="../../assets/icons/arrow.svg" /></button>
        <button @click="downvote" class="btn-icon voting-button down"><img src="../../assets/icons/arrow.svg" /></button>
        <p class="vote-value">{{currentVotes}}</p>
    </div>
</template>

<script>
    export default {
        name: 'Voting',
        props: {
            songID: Number,
            currentVotes: {
                type: Number,
                default: 0
            }
        },
        methods: {
            upvote(){
                  this.currentVotes++;
              },
            downvote(){
                this.currentVotes--;
            }
        }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
    .voting-button{
        cursor: pointer;
        width: 20px;
        height: 20px;
        margin: 0 5px;

        &.up {
            transform: rotate(180deg);

            img {
                margin-right: -2px;
                margin-bottom: -2px;
            }
        }

        img {
            display: block;
            width: 25px;
            height: 25px;
            margin-left: -2px;
            margin-top: -2px;
        }
    }

    .voting {
        display: flex;
        width: 85px;
        justify-content: flex-end;
        align-items: center;

        .vote-value {
            text-align: right;
            flex-grow: 1;
            margin-bottom: 0;
            margin-top: 0;
        }
    }

    .player-full-view {
        .player {
            .list-section {
                .voting-button img {
                    content: url("../../assets/icons/arrow-dark.svg");
                }
            }
        }
    }

</style>n
